import { activitySubmit } from '../../../api/volunteer.js'

Page({

    /**
     * 页面的初始数据
     */
    data: {
        activityId: null,
        activityInfo:{},
        tobegin:true,
        userInfo: {
            applyName: '',
            applyPhone: ''
        }
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        const activityInfo = JSON.parse(decodeURIComponent(options.activityInfo))
        this.setData({
            activityInfo
        })
    },

    setApplyName(e){
        this.setData({
            'userInfo.applyName': e.detail.value
        })
    },
    setApplyPhone(e){
        this.setData({
            'userInfo.applyPhone': e.detail.value
        })
    },

    handleSubmit(){
 
        if(this.data.userInfo.applyName=='' || this.data.userInfo.applyPhone==''){
            wx.showToast({
              title: '请输入姓名/电话',
              icon:'none'
            })
            return
        }
        const reg=/^[1][3,4,5,7,8][0-9]{9}$/;
        if(!reg.test(this.data.userInfo.applyPhone)){
            wx.showToast({
                title: '请填写正确的手机号',
                icon:'none'
              })
              return
        }
        if(!this.data.tobegin){
            return
        }
        this.data.tobegin = false
        setTimeout(()=>{
            this.data.tobegin=true
            this.setData({
                tobegin:this.data.tobegin
             })
        },2000)
        const openid = wx.getStorageSync('openid')
        const userInfo = wx.getStorageSync('userInfo')
        const params = {
            ...this.data.userInfo,
            openid,
            nickname:userInfo.nickname,
            activityId: this.data.activityInfo.id,
            activityTitle:this.data.activityInfo.activityTitle
        }
        activitySubmit(params)
        .then(res=>{
            if(res.code==0){
                wx.showToast({
                  title: '报名成功',
                  icon:"none"
                }),
                setTimeout(()=>{
                    wx.navigateBack()
                }
                ,2000)
            }
        })
        this.setData({
           tobegin:this.data.tobegin
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})